> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mezmo.ferndocs.com/api-reference/log-analysis/configuration/create-alert/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server. # Create Preset Alert POST https://api.mezmo.com/v1/config/presetalert Content-Type: application/json Use this method to create a preset alert. Reference: https://mezmo.ferndocs.com/api-reference/log-analysis/configuration/create-alert ## Authentication - `Authorization` header (required) — This key is used for all apis with the exception of ingest. You can obtain it following [these instructions](https://docs.mezmo.com/docs/ingestion-key) and placing the key in the header of your call in the format of `Authorization: Token {accesstoken}` For example: ``` curl -H 'Authorization: Token ' ``` - `servicekey` header (required) — (Deprecated) This key is used for v1 and v2 apis with the exception of ingest. Service keys can be used by placing your service key in the `Authorization` header of your api call. *NOTE* Usage of the service key auth mechanism has been deprecated in favor of IAM Access Tokens. Service keys can no longer be created, but can still be used for v1 and v2 apis while the transition takes place ## Request ### Body (application/json) This endpoint expects a presetRequest. - `name` (string, optional) — Name of a view. - `channels` (list of channel, optional) ## Response ### 200 OK - `map from string to V1ConfigPresetalertPostResponsesContentApplicationJsonSchema` ## Types ### channel - `integration` (string, optional) — Defines the type of notification channel. Valid values are: `email`, `webhook`, `slack`, and `pagerduty` - `emails` (list of string, optional) - `url` (string, optional) — Webhook URL. - `key` (string, optional) — PagerDuty key. - `triggerlimit` (string, optional) — Specify the number of log lines that match the view's filtering and search criteria. When the number of log lines is reached, an alert is triggered. - `triggerinterval` (string, optional) — Specify how often to trigger an alert. Valid values are: 30 seconds, 1 minute, 5 minutes, 15 minutes, 30 minutes, 1 hour, 6 hours, 12 hours, 24 hours - `immediate` (boolean, optional) — Set to true if you want the trigger condition to be evaluated as soon as the triggerlimit is reached. - `terminal` (boolean, optional) — Set to true if you want the trigger condition to be evaluated after the time that you specify in the triggerinterval field is reached. - `operator` (string, optional) — Type of alert. Valid values are: `presence`and `absence`. - `timezone` (string, optional) — Timezone used to report timestamps. This can be any value defined in the tz database https://en.wikipedia.org/wiki/List_of_tz_database_time_zones. - `method` (enum, optional) — WebHook method such as POST. - Allowed values: `POST`, `PUT`, `PATCH` - `headers` (headers, optional) - `bodyTemplate` (bodyTemplate, optional) - `autoresolve` (boolean, optional) — Set to true if you want the set a condition to resolve the incident that was raised by this alert. This property only applies to PagerDuty. - `autoresolveinterval` (string, optional) — Interval of time to aggregate and check # of matched lines against the auto resolve limit. Valid values are: 30 seconds, 1 minute, 5 minutes, 15 minutes, 30 minutes, 1 hour, 6 hours, 12 hours, 24 hours, 25 hours. - `autoresolvelimit` (string, optional) — Specify the number of log lines that match the view's filtering and search criteria. When the number of log lines is reached, this incident will be set to resolved in PagerDuty. ### V1ConfigPresetalertPostResponsesContentApplicationJsonSchema ### headers - `timestamp` (string, optional) — Header value ### bodyTemplate - `timestamp` (string, optional) — Define the webhook body. ## Examples **Request** ```json {} ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://api.mezmo.com/v1/config/presetalert" payload = {} headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mezmo.com/v1/config/presetalert'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mezmo.com/v1/config/presetalert" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mezmo.com/v1/config/presetalert") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.mezmo.com/v1/config/presetalert") .header("Authorization", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://api.mezmo.com/v1/config/presetalert', [ 'body' => '{}', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mezmo.com/v1/config/presetalert"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v1/config/presetalert")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```